package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.AccessToken;
import com.uas.platform.b2b.model.User;
import com.uas.platform.b2b.model.UserBaseInfo;

public interface AccessTokenService {

	/**
	 * 生成token
	 * 
	 * @param bindObject
	 *            绑定任意对象
	 * @param expires_in
	 *            有效时间（秒）
	 * @return
	 */
	public AccessToken createNew(Object bindObject, int expires_in);

	public AccessToken findOne(String id);

	public void delete(String id);

}
